<?php
/**
 * Represents the view for the Stripe settings
 *
 * @package   Events_Manager_Stripe
 * @author    Sam De Francesco <sam@defrances.co>
 * @license   GPL-2.0+
 * @link      http://defrances.co
 * @copyright 2013 Sam De Francesco
 */
?>
<table class="form-table">
<tbody>
    <tr valign="top">
        <th scope="row"><?php _e('Success Message', 'em-pro') ?></th>
        <td>
            <input type="text" name="booking_feedback" value="<?php esc_attr_e(get_option('em_' . $this->gateway . "_booking_feedback")); ?>" style='width: 40em;' /><br />
            <em><?php _e('The message that is shown to a user when a booking is successful and payment has been taken.', 'em-pro'); ?></em>
        </td>
    </tr>
    <tr valign="top">
        <th scope="row"><?php _e('Success Free Message', 'em-pro') ?></th>
        <td>
            <input type="text" name="booking_feedback_free" value="<?php esc_attr_e(get_option('em_' . $this->gateway . "_booking_feedback_free")); ?>" style='width: 40em;' /><br />
            <em><?php _e('If some cases if you allow a free ticket (e.g. pay at gate) as well as paid tickets, this message will be shown and the user will not be charged.', 'em-pro'); ?></em>
        </td>
    </tr>
</tbody>
</table>
<h3><?php echo sprintf(__('%s Options', 'dbem'), 'Stripe') ?></h3>
<table class="form-table">
<tbody>
    <tr valign="top">
        <th scope="row"><?php _e('Mode', 'em-pro'); ?></th>
        <td>
            <select name="mode">
                <?php $selected = get_option('em_' . $this->gateway . '_mode'); ?>
                <option value="test" <?php echo ($selected == 'test') ? 'selected="selected"' : ''; ?>><?php _e('Test', 'emp-pro'); ?></option>
                <option value="live" <?php echo ($selected == 'live') ? 'selected="selected"' : ''; ?>><?php _e('Live', 'emp-pro'); ?></option>
            </select>
            <br />
            <em><?php echo sprintf( __( 'Please visit your <a href="%s">Stripe Account Settings</a> to obtain your Live and Test Secret API Keys.', 'em-pro' ),
                                    'https://manage.stripe.com/account' ); ?></em>
        </td>
    </tr>
    <tr valign="top">
        <th scope="row"><?php _e('API Test key', 'emp-pro') ?></th>
        <td><input type="text" name="api_test_key" value="<?php esc_attr_e(get_option('em_' . $this->gateway . "_api_test_key", "")); ?>" /></td>
    </tr>
    <tr valign="top">
        <th scope="row"><?php _e('API Live Key', 'emp-pro') ?></th>
        <td><input type="text" name="api_key" value="<?php esc_attr_e(get_option('em_' . $this->gateway . "_api_key", "")); ?>" /></td>
    </tr>
    <tr><td colspan="2">
            <p><strong><?php echo __('Payment Notifications', 'em-pro'); ?></strong></p>
            <p><?php _e('If you would like to receive notifications from Stripe and handle refunds or additional transactions automatically, you need to configure the following WebHook URL via your Stripe Account Settings.', 'em-pro'); ?></p>
            <p><?php echo sprintf(__('Your webhook url is %s.', 'em-pro'), '<code>' . $this->get_payment_return_url() . '</code>'); ?></p>
        </td></tr>
    <tr><td colspan="2"><strong><?php echo sprintf(__('%s Options', 'dbem'), __('Advanced', 'em-pro')); ?></strong></td></tr>
    <tr>
        <th scope="row"><?php _e('Email Customer (on success)', 'emp-pro') ?></th>
        <td>
            <select name="email_customer">
                <?php $selected = get_option('em_' . $this->gateway . '_email_customer'); ?>
                <option value="1" <?php echo ($selected) ? 'selected="selected"' : ''; ?>><?php _e('Yes', 'emp-pro'); ?></option>
                <option value="0" <?php echo (!$selected) ? 'selected="selected"' : ''; ?>><?php _e('No', 'emp-pro'); ?></option>
            </select>
        </td>
    </tr>
    <tr>
        <th scope="row"><?php _e('Customer Receipt Email Header', 'emp-pro') ?></th>
        <td><input type="text" name="header_email_receipt" value="<?php esc_attr_e(get_option('em_' . $this->gateway . "_header_email_receipt", __("Thanks for your payment!", "emp-pro"))); ?>" /></td>
    </tr>
    <tr>
        <th scope="row"><?php _e('Customer Receipt Email Footer', 'emp-pro') ?></th>
        <td><input type="text" name="footer_email_receipt" value="<?php esc_attr_e(get_option('em_' . $this->gateway . "_footer_email_receipt", "")); ?>" /></td>
    </tr>
    <tr valign="top">
        <th scope="row"><?php _e('Manually approve completed transactions?', 'em-pro') ?></th>
        <td>
            <input type="checkbox" name="manual_approval" value="1" <?php echo (get_option('em_' . $this->gateway . "_manual_approval")) ? 'checked="checked"' : ''; ?> /><br />
            <em><?php _e('By default, when someone pays for a booking, it gets automatically approved once the payment is confirmed. If you would like to manually verify and approve bookings, tick this box.', 'em-pro'); ?></em><br />
            <em><?php echo sprintf(__('Approvals must also be required for all bookings in your <a href="%s">settings</a> for this to work properly.', 'em-pro'), EM_ADMIN_URL . '&amp;page=events-manager-options'); ?></em>
        </td>
    </tr>

</tbody>
</table>
